API Documentation
  1. API Documentation - Version 3
API Documentation
  • API Documentation - Version 3
    • Getrate API
      POST
    • Purchase API
      POST
    • Get All Orders API
      POST
    • Get Order Detail API
      POST
    • Cancel Orders API
      POST
    • Get PodInfo API
      POST
    • Get Label API
      POST
    • Get TrackingInfo API
      POST
    • Create Manifest
      POST
    • Get Manifest
      POST
    • GetBreakdown
      POST
  1. API Documentation - Version 3

Get TrackingInfo API

Developing
POST
/api/v3/shipment/getTrackInfo
Get the logistics tracking information of the order based on the orderId.

Request

Body Params application/json

Example
{
    "accessToken": "string",
    "mode": "production",
    "orderId": "68baa7ba25cd64d80e2178f6"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.batchship.com/api/v3/shipment/getTrackInfo' \
--header 'Content-Type: application/json' \
--data-raw '{
    "accessToken": "string",
    "mode": "production",
    "orderId": "68baa7ba25cd64d80e2178f6"
}'

Responses

🟢200成功
application/json
Body

Example
{
    "success": true,
    "code": 200,
    "payload": {
        "eventHistory": [
            {
                "eventTime": "2025-09-12T15:25:30-04:00",
                "eventCode": "Delivered",
                "location": {
                    "city": "Toms River",
                    "state": "NJ",
                    "country": "United States"
                }
            },
            {
                "eventTime": "2025-09-12T02:57:00-04:00",
                "eventCode": "On FedEx vehicle for delivery",
                "location": {
                    "city": "TRENTON",
                    "state": "NJ",
                    "country": "United States"
                }
            },
            {
                "eventTime": "2025-09-12T02:52:00-04:00",
                "eventCode": "Arrived at FedEx location",
                "location": {
                    "city": "TRENTON",
                    "state": "NJ",
                    "country": "United States"
                }
            },
            {
                "eventTime": "2025-09-11T18:02:46-04:00",
                "eventCode": "Departed FedEx location",
                "location": {
                    "city": "NORTHAMPTON",
                    "state": "PA",
                    "country": "United States"
                }
            },
            {
                "eventTime": "2025-09-11T14:30:00-04:00",
                "eventCode": "Arrived at FedEx location",
                "location": {
                    "city": "NORTHAMPTON",
                    "state": "PA",
                    "country": "United States"
                }
            },
            {
                "eventTime": "2025-09-08T23:05:56-07:00",
                "eventCode": "Departed FedEx location",
                "location": {
                    "city": "ARCADIA",
                    "state": "CA",
                    "country": "United States"
                }
            },
            {
                "eventTime": "2025-09-08T17:13:35-07:00",
                "eventCode": "Shipment arriving On-Time",
                "location": {
                    "city": "ARCADIA",
                    "state": "CA",
                    "country": "United States"
                }
            },
            {
                "eventTime": "2025-09-08T17:12:00-07:00",
                "eventCode": "Arrived at FedEx location",
                "location": {
                    "city": "ARCADIA",
                    "state": "CA",
                    "country": "United States"
                }
            },
            {
                "eventTime": "2025-09-07T20:51:00-07:00",
                "eventCode": "Shipment information sent to FedEx",
                "location": {
                    "country": "United States"
                }
            },
            {
                "eventTime": "2025-09-08T00:00:00",
                "eventCode": "Picked up",
                "location": {
                    "city": "CHINO",
                    "state": "CA",
                    "country": "United States"
                }
            }
        ],
        "summary": {
            "status": "Delivered"
        },
        "trackingId": "884177007518",
        "promisedDeliveryDate": "2025-09-12T00:00:00+00:00",
        "status": "pending",
        "orderId": "68be50ad3017fe5f7ce21513",
        "shipmentId": "884177007518"
    }
}
Modified at 2026-02-28 08:22:40
Previous
Get Label API
Next
Create Manifest
Built with